org.eclipse.net4j.util

## Enum ReflectUtil.PrimitiveType

- java.lang.Object
- - java.lang.Enum<ReflectUtil.PrimitiveType>
  - - org.eclipse.net4j.util.ReflectUtil.PrimitiveType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReflectUtil.PrimitiveType>
  Enclosing class:
    ReflectUtil

      public static enum ReflectUtil.PrimitiveType
      extends java.lang.Enum<ReflectUtil.PrimitiveType>

  Since:
    3.3
  Author:
    Christian W. Damus (CEA)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `NONE`
    `SHORT`
    `VOID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReflectUtil.PrimitiveType` | `forClass(java.lang.Class<?> clazz)`
    `java.lang.Class<?>` | `type()`
    `static ReflectUtil.PrimitiveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReflectUtil.PrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final ReflectUtil.PrimitiveType BOOLEAN

    - #### BYTE

          public static final ReflectUtil.PrimitiveType BYTE

    - #### CHAR

          public static final ReflectUtil.PrimitiveType CHAR

    - #### SHORT

          public static final ReflectUtil.PrimitiveType SHORT

    - #### INT

          public static final ReflectUtil.PrimitiveType INT

    - #### LONG

          public static final ReflectUtil.PrimitiveType LONG

    - #### FLOAT

          public static final ReflectUtil.PrimitiveType FLOAT

    - #### DOUBLE

          public static final ReflectUtil.PrimitiveType DOUBLE

    - #### VOID

          public static final ReflectUtil.PrimitiveType VOID

    - #### NONE

          public static final ReflectUtil.PrimitiveType NONE

  - ### Method Detail

    - #### values

          public static ReflectUtil.PrimitiveType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReflectUtil.PrimitiveType c : ReflectUtil.PrimitiveType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReflectUtil.PrimitiveType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### type

          public java.lang.Class<?> type()

    - #### forClass

          public static ReflectUtil.PrimitiveType forClass(java.lang.Class<?> clazz)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html